summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorblobb <dr.blobb@gmail.com>2017-05-24 14:35:49 +0200
committerblobb <dr.blobb@gmail.com>2017-05-24 18:48:04 +0000
commit73178cbb87de5c7b9278c5e8a76e831835e1405f (patch)
tree590e8de68d0c227aa884dcd58cd62ecdcc80425d
parent0cdf4b0a6821a0e970194ed5b122d3d6270c9814 (diff)
Introduce contrib/jenkins.sh to enable gerrit verification[1]
First, jenkins.sh builds libosmocore dependency. Then it compiles the "host" (PC) part of OsmocomBB. After "libosmocore embedded"-build has been introduced this script will use it instead of the x86 dep. [1] http://jenkins.osmocom.org/jenkins/job/osmocomBB-gerrit/ Change-Id: Ife88be9022fc1fc1baee7f11872e5b8db4215682
-rwxr-xr-xcontrib/jenkins.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/contrib/jenkins.sh b/contrib/jenkins.sh
new file mode 100755
index 00000000..ca72ac55
--- /dev/null
+++ b/contrib/jenkins.sh
@@ -0,0 +1,32 @@
+#!/bin/sh
+
+set -ex
+
+base="$PWD"
+deps="$base/deps"
+inst="$deps/install"
+export deps inst
+
+mkdir "$deps" || true
+rm -rf "$inst"
+
+osmo-build-dep.sh libosmocore "" ac_cv_path_DOXYGEN=false
+
+# TODO: ask whether fail is expected, because osmocom-bb build succeeds?
+#"$deps"/libosmocore/contrib/verify_value_string_arrays_are_terminated.py $(find . -name "*.[hc]")
+
+export PKG_CONFIG_PATH="$inst/lib/pkgconfig:$PKG_CONFIG_PATH"
+export LD_LIBRARY_PATH="$inst/lib"
+
+set +x
+echo
+echo
+echo
+echo " =============================== OsmocomBB ==============================="
+echo
+set -x
+
+cd src/host/layer23
+autoreconf -fi
+./configure
+make